Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model Java API Reference 10g Release 3 (10.1.3) B25778-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jbo.uicli.jui
Class JUPanelValidationAdapter

`java.lang.Object
oracle.adf.model.binding.DCBindingContainerValidationAdapter
oracle.jbo.uicli.jui.JUPanelValidationAdapter`

All Implemented Interfaces:
  DCBindingContainerValidationListener, java.util.EventListener

public class JUPanelValidationAdapter
extends DCBindingContainerValidationAdapter

Default implementation for JUPanelValidationListener interface. This implementation simply prints a diagnostic message for each event it receives. JClient design time creates a subclass of this adapter with overridden methods as per an application's choice when the Event Inspector is used to generate JUPanelValidationEvent listener code.

Constructor Summary
`JUPanelValidationAdapter()`

Method Summary
`void` | `beforeCurrencyChange(DCBindingContainerValidationEvent ev)` Calls beforeCurrencyChange(JUPanelValidationEvent)
`void` | `beforeCurrencyChange(JUPanelValidationEvent ev)`
`void` | `beforeSaveTransaction(DCBindingContainerValidationEvent ev)` Calls beforeSaveTransaction(JUPanelValidationEvent)
`void` | `beforeSaveTransaction(JUPanelValidationEvent ev)`
`void` | `beforeSetAttribute(DCBindingContainerValidationEvent ev)` Calls beforeSetAttribute(JUPanelValidationEvent)
`void` | `beforeSetAttribute(JUPanelValidationEvent ev)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JUPanelValidationAdapter

    public JUPanelValidationAdapter()

Method Detail

### beforeSetAttribute

    public void beforeSetAttribute(DCBindingContainerValidationEvent ev)

  Calls beforeSetAttribute(JUPanelValidationEvent)
  Specified by:
    `beforeSetAttribute` in interface `DCBindingContainerValidationListener`
  Overrides:
    `beforeSetAttribute` in class `DCBindingContainerValidationAdapter`

### beforeCurrencyChange

    public void beforeCurrencyChange(DCBindingContainerValidationEvent ev)

  Calls beforeCurrencyChange(JUPanelValidationEvent)
  Specified by:
    `beforeCurrencyChange` in interface `DCBindingContainerValidationListener`
  Overrides:
    `beforeCurrencyChange` in class `DCBindingContainerValidationAdapter`

### beforeSaveTransaction

    public void beforeSaveTransaction(DCBindingContainerValidationEvent ev)

  Calls beforeSaveTransaction(JUPanelValidationEvent)
  Specified by:
    `beforeSaveTransaction` in interface `DCBindingContainerValidationListener`
  Overrides:
    `beforeSaveTransaction` in class `DCBindingContainerValidationAdapter`

### beforeSetAttribute

    public void beforeSetAttribute(JUPanelValidationEvent ev)

### beforeCurrencyChange

    public void beforeCurrencyChange(JUPanelValidationEvent ev)

### beforeSaveTransaction

    public void beforeSaveTransaction(JUPanelValidationEvent ev)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model Java API Reference 10g Release 3 (10.1.3) B25778-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1997, 2005, Oracle. All rights reserved.